package com.ruoyi.szxc.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.szxc.domain.SzxcNews;
import com.ruoyi.szxc.mapper.SzxcNewsMapper;
import com.ruoyi.szxc.service.ISzxcNewsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 公告资讯Service业务层处理
 * 
 * @author hs
 * @date 2024-03-16
 */
@Service
public class SzxcNewsServiceImpl implements ISzxcNewsService 
{
    @Autowired
    private SzxcNewsMapper szxcNewsMapper;

    /**
     * 查询公告资讯
     * 
     * @param id 公告资讯主键
     * @return 公告资讯
     */
    @Override
    public SzxcNews selectSzxcNewsById(Long id)
    {
        return szxcNewsMapper.selectSzxcNewsById(id);
    }

    /**
     * 查询公告资讯列表
     * 
     * @param szxcNews 公告资讯
     * @return 公告资讯
     */
    @Override
    public List<SzxcNews> selectSzxcNewsList(SzxcNews szxcNews)
    {
        return szxcNewsMapper.selectSzxcNewsList(szxcNews);
    }

    /**
     * 新增公告资讯
     * 
     * @param szxcNews 公告资讯
     * @return 结果
     */
    @Override
    public int insertSzxcNews(SzxcNews szxcNews)
    {
        szxcNews.setCreateTime(DateUtils.getNowDate());
        return szxcNewsMapper.insertSzxcNews(szxcNews);
    }

    /**
     * 修改公告资讯
     * 
     * @param szxcNews 公告资讯
     * @return 结果
     */
    @Override
    public int updateSzxcNews(SzxcNews szxcNews)
    {
        szxcNews.setUpdateTime(DateUtils.getNowDate());
        return szxcNewsMapper.updateSzxcNews(szxcNews);
    }

    /**
     * 批量删除公告资讯
     * 
     * @param ids 需要删除的公告资讯主键
     * @return 结果
     */
    @Override
    public int deleteSzxcNewsByIds(Long[] ids)
    {
        return szxcNewsMapper.deleteSzxcNewsByIds(ids);
    }

    /**
     * 删除公告资讯信息
     * 
     * @param id 公告资讯主键
     * @return 结果
     */
    @Override
    public int deleteSzxcNewsById(Long id)
    {
        return szxcNewsMapper.deleteSzxcNewsById(id);
    }
}
